stages:
  - verify
  - build
  - deploy

shellcheck:
  stage: verify
  image: ${TOOLING_REGISTRY}/koalaman/shellcheck-alpine:stable
  script:
  - shellcheck *.sh
  tags:
  - kanod-docker

build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"${CI_REGISTRY}\":{\"auth\":\"$(printf "%s:%s" "${CI_REGISTRY_USER}" "${CI_REGISTRY_PASSWORD}" | base64 | tr -d '\n')\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor --insecure --skip-tls-verify --build-arg http_proxy --build-arg https_proxy --build-arg no_proxy --context $CI_PROJECT_DIR --dockerfile $CI_PROJECT_DIR/Dockerfile --destination "${CI_REGISTRY_IMAGE}:${CI_COMMIT_TAG}"
  variables:
    CONTAINER_NAME: kanod-cert-patcher
  tags:
    - kanod-docker
  only:
    - tags

